Distribution:   CCux-Linux
Packager:	Leif Middelschulte <leif.middelschulte@gmail.com>

Name:		valgrind
Summary:    	Valgrind memory debugger
Version:	3.3.0
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://valgrind.org/	
Group:		Development/Other
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	glibc-devel
Requires:	perl

%description
Valgrind is an award-winning suite of tools for debugging and profiling
Linux programs. With the tools that come with Valgrind, you can
automatically detect many memory management and threading bugs, avoiding
hours of frustrating bug-hunting, making your programs more stable. You can
also perform detailed profiling, to speed up and reduce memory use of your
programs.

The Valgrind distribution currently includes five tools: two memory error
detectors, a thread error detector, a cache profiler and a heap profiler.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --sysconfdir=%_sysconfdir --libdir=%_libdir --mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%_bindir
%_libdir/valgrind
%_defaultdocdir
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.3.0-1
- Version update
* Sun Jan 28 2007 Leif Middelschulte <leif.middelschulte@gmail.com> 3.2.2-1
- Initial Release
